Installation foreman-proxy 1.20.1-1


#1

Problem:
Problem with installation 1.20.1-1. Error logs see below.

Foreman and Proxy versions:
foreman: 1.20.1-1
foreman-proxy 1.20.1-1

Foreman and Proxy plugin versions:
ruby-foreman-ansible 2.2.9-1

Other relevant data:
Ubuntu 16.04

gem list | grep logging
logging (2.2.2)

logs

Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- logging (LoadError)
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/share/foreman-proxy/lib/proxy/log.rb:1:in `<top (required)>'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/share/foreman-proxy/lib/launcher.rb:1:in `<top (required)>'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/share/foreman-proxy/lib/smart_proxy_main.rb:4:in `<top (required)>'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
Dec 17 10:07:36 ptc-ansible smart-proxy[11539]: #011from /usr/share/foreman-proxy/bin/smart-proxy:5:in `<main>'
Dec 17 10:07:36 ptc-ansible systemd[1]: foreman-proxy.service: Main process exited, code=exited, status=1/FAILURE
Dec 17 10:07:36 ptc-ansible systemd[1]: Failed to start Foreman Proxy.

Please Help
mobios


#2

This will be fixed with the next 1.20 release, for now install ruby-logging manually.


#3

Thanks for your reply and help.